Summary:	LZF compression library
Summary(pl.UTF-8):	Biblioteka kompresji LZF
Name:		liblzf
Version:	3.6
Release:	1
Epoch:		1
License:	BSD-like (or GPL v2 for core - see LICENSE)
Group:		Libraries
Source0:	http://dist.schmorp.de/liblzf/%{name}-%{version}.tar.gz
# Source0-md5:	b8d23b8258d785707a61fc3dd159c04e
Patch0:		%{name}-shared.patch
URL:		http://software.schmorp.de/pkg/liblzf.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The library is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this library into commercial programs. It
is believed that it is free from any patents.

%description -l pl.UTF-8
LZF jest ekstremalnie szybkim (nie tak dużo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programów, które chcą
zaoszczędzić *trochę* miejsca, ale nie kosztem szybkości. Jest idealny
dla powtarzających się danych. Biblioteka jest mała i nie wymaga
żadnej dodatkowej dużej biblioteki. Jest wolnodostępna, więc nie
powinno być problemów z wykorzystaniem go w komercyjnych programach.
Według aktualnego stanu wiedzy algorytm jest wolny od patentów.

%package devel
Summary:	Header files for liblzf
Summary(pl.UTF-8):	Pliki nagłówkowe liblzf
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libzlf.

%description devel -l pl.UTF-8
Pliki nagłówkowe liblzf.

%package static
Summary:	Static liblzf library
Summary(pl.UTF-8):	Statyczna biblioteka liblzf
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of liblzf library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki liblzf.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_bindir}/lzf
%attr(755,root,root) %{_libdir}/liblzf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblzf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblzf.so
%{_libdir}/liblzf.la
%{_includedir}/lzf.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzf.a
%changelog
* Tue Dec 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblzf.git;a=log;h=master

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a891d1
- new URLs, updated to 3.6

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 0582660
- updated to 3.2

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> b12f047
- updated to 3.1

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> dd6e82c
- updated to 2.0, updated shared patch

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> ae00296
- updated for 2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7a11f63
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09a93ad
- converted to UTF-8

* Thu Dec 14 2006 Jakub Bogusz <qboosh@pld-linux.org> ac1898d
- epoch 1 for upgrade from 1.51

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> f0994ad
- 1.7

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> fc1178c
- update to 1.6

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 4061702
- updated to 1.51

* Tue Mar 29 2005 Jakub Bogusz <qboosh@pld-linux.org> a8a3ff2
- updated to 1.5, updated shared patch

* Tue Mar 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 832cfa2
- updated for 1.5

* Sun Dec 26 2004 darekr <darekr@pld-linux.org> 813110d
- updated to 1.4

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 338dd36
- updated to 1.3, strict internal deps

* Tue Jan 27 2004 Jakub Bogusz <qboosh@pld-linux.org> dec0d5b
- updated to 1.2 liblzf.spec, updated shared patch and URL

* Tue Jan 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 1111d23
- updated for 1.2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> dc616da
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 41c1187
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jan 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 6a1165a
- 1.0

